
QGIS Application - Bug report #15486

vector layer edits disappear from viewer when saved through the layers panel. 

2016-08-24 03:10 PM - will skora

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.16.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23410

Description

My edits to my geojson file are disappearing from the viewer when I save them in the layers panel.

I been able to reproduce this on QGIS 2.16.1 in windows and on 2.14 in Linux.

I've checked and the file is valid GEOJSON according to http://geojsonlint.com/

To reproduce: 

Create new project

Open attached geojson file as a vector layer in qgis. 

toggle as editable

Select one of the features (ideally not one that doesn't have old brooklyn marked

Copy and paste the same feature to the layer. 

Use edit node tool on one of these 2 features.

Move several nodes, enough to make it distinct from the other polygon. 

Click Save layers in the layers panel.

At this point, your newly modified layer disappears. I have confirmed that the edits to vector file are saved. I open the geojson file in a text

editor and see that the second layer is there and also when I upload the same file to geojson.io .

What should happen: the newly created layer and its edits should still appear.

If you would like to see this happen in action, see this video - https://vimeo.com/180102675

History

#1 - 2016-08-24 03:13 PM - will skora

"I open the geojson file in a text editor and see that the second layer is there and also when I upload the same file to geojson.io" 

should be 

"I saw the newly created polygon existed when I viewed the file in a text editor and when I uploaded it to geojson.io."

I also notice that I add the attached geojson file as a new vector layer in a brand new project in Qgis 2.16 on windows, qgis does not display the recent

edits that I made in the video.

#2 - 2016-08-27 02:43 PM - will skora

- Status changed from Open to Closed
http://geojsonlint.com/
https://vimeo.com/180102675


The cause of this bug is within GDAL, has been identified and fixed in GDAL 2.1.1 - https://trac.osgeo.org/gdal/ticket/6538

#3 - 2017-09-22 09:55 AM - Jürgen Fischer

- Category set to Unknown

Files

whosonfirst.geojson 361 KB 2016-08-24 will skora
https://trac.osgeo.org/gdal/ticket/6538

